エンジニア足立のコーディング日記

エンジニア足立のコーディング日記

ブログトップ >> 『WP(WordPress)』の記事一覧 >> PHP7にバージョンを上げると、WPの「データベース接続確立エラー」が出てしまいます

PHP7にバージョンを上げると、WPの「データベース接続確立エラー」が出てしまいます

公開日:
この記事を読むのに掛る所要時間: 24

WPをインストールしてサーバのPHPを7にバージョンアップすると、

 

WPにアクセスしても、

 

「データベース接続確立エラー」

 

になります。

 

勿論、

 

ユーザー名、パスワード、データベース名、ホスト名などは間違えていません。

 

で、

 

ふと、

 

ソケットのパスの設定が怪しい。。。

 

と思い、

 

phpinfo()で調べてみることに。

 

やはり、

 

「no value」になっていました。
WP「データベース接続確立エラー」01

 

なので、

 

php.iniにパスを設定してやることにします。

 

まずは、MySQLのソケットのパスのを確認します。
# mysql_config –socket
================================
/var/run/mysqld/mysqld.sock
================================

 

次に、php.iniを編集します。
# vi /usr/local/php7/lib/php.ini
========================================================
mysqli.default_socket =
========================================================

========================================================
mysqli.default_socket = /var/run/mysqld/mysqld.sock
========================================================
に変更します。

 

で、

 

Apacheを再起動します。
# sudo /etc/init.d/apache2 restart

 

これで、

 

ソケットのパスが設定されました。
WP「データベース接続確立エラー」02

 

で、

 

WPへも無事アクセス出来るようになりました。

公開日:更新日:)  投稿者:
このページのTOPへ戻る

著者情報

足立 拓也(あだち たくや)
1980年生まれ。
出身:兵庫県丹波市。
趣味:ボクシングジム通い。
特技:歴史の話しをすること。

カテゴリー